<?php

/**
 * Controlador para las acciones de tus visitas.
 * Solicitar y descargar la factura
 * Anular una reserva
 * Imprimir
 */

class TusvisitasController
{

    // Imprimir
    public static function index($params)
    {
        if (!isset($_REQUEST['hash'])) {
            require_once dirname(__DIR__) . '/modules/visitas/mis_php_web/modulos/tus_reservas/index.php';
        }
    }

    // Anular
    public static function anular($params)
    {
        // require_once dirname(__DIR__) . '/modules/visitas/reservas/modulos/anular.php';
        require_once dirname(__DIR__) . '/modules/visitas/reservas/modulos/anular_api.php';
    }

    // Solicitar y descargar factura
    public static function solicituddefactura($params)
    {
        // require_once dirname(__DIR__) . '/modules/visitas/reservas/modulos/factura.php';
        require_once dirname(__DIR__) . '/modules/visitas/reservas/modulos/factura_api.php';
    }

    public static function invoicerequest($params)
    {
        // require_once dirname(__DIR__) . '/modules/visitas/reservas/modulos/factura.php';
        require_once dirname(__DIR__) . '/modules/visitas/reservas/modulos/factura_api.php';
    }

    // Modificar la reserva
    public static function validar_modificar_reserva($params)
    {
        // require_once dirname(__DIR__) . '/modules/visitas/reservas/modulos/modificar.php';
        require_once dirname(__DIR__) . '/modules/visitas/reservas/modulos/modificar_api.php';
    }

    // Modificar la reserva
    public static function validar_regalar_reserva($params)
    {
        // require_once dirname(__DIR__) . '/modules/visitas/reservas/modulos/regalar.php';
        require_once dirname(__DIR__) . '/modules/visitas/reservas/modulos/regalar_api.php';
    }

    // Extras
    public static function extras($params)
    {        
        $prepago_extra = 0;
        $hash_extra    = 0;
        require_once dirname(__DIR__) . '/modules/visitas/reservas/modulos/extras_api.php';
    }

    // Pasos 2 y 3 de 3
    public static function misextras()
    {       
        if (isset($_REQUEST['hash'])) {
     
            $hash_extra    = 1;
            $prepago_extra = 0;
            
            require_once dirname(__DIR__) . '/modules/visitas/reservas/modulos/extras_api.php';
        }    
        
    }
    // Pasos 2 y 3 de 3
    public static function extras_prepago()
    {       
        if (isset($_REQUEST['hash'])) {
     
            $hash_extra    = 1;
            $prepago_extra = 1;
            
            require_once dirname(__DIR__) . '/modules/visitas/reservas/modulos/extras_api.php';
        }    
  
    }
    
}

